Get information on the per entity validator consolidation churn capacity of Ethereum.
curl --request GET \
--url https://api.rated.network/v1/eth/consolidationCapacity/entity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/consolidationCapacity/entity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/consolidationCapacity/entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/consolidationCapacity/entity?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/consolidationCapacity/entity?limit=10&offset=10",
"results": [
[
{
"consolidatedBalance": 320000000000000,
"consolidatedValidators": 10000,
"consolidationCapacityFilled": 0.006,
"consolidationChurnLimit": 49693200000000000,
"entity": "Lido",
"latestEpoch": 364032,
"networkCapacityRemaining": 0.994,
"timeWindow": "all"
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Network
Get information on the per entity validator consolidation churn capacity of Ethereum.
This endpoint returns summarized information on the validator consolidation churn limit of the Ethereum network, broken down per entity.
GET
/
v1
/
eth
/
consolidationCapacity
/
entity
Get information on the per entity validator consolidation churn capacity of Ethereum.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
The number of results returned per page
The number of results to skip before starting to return
The time window of aggregation
Available options:
1d, 7d, 30d, all